[arch-commits] Commit in filesystem/trunk (PKGBUILD filesystem.install)

Tom Gundersen tomegun at archlinux.org
Fri Feb 17 12:14:27 UTC 2012


    Date: Friday, February 17, 2012 @ 07:14:27
  Author: tomegun
Revision: 150405

upgpkg: filesystem 2012.2-1

don't create files in /var/run on install
remove hostname from /etc/issue, it is printed by login
use softdeps rather than install hacks for usb modules
don't hardcode paths in install scripts (fixing grep usage)
remove .KEEP file

Modified:
  filesystem/trunk/PKGBUILD
  filesystem/trunk/filesystem.install

--------------------+
 PKGBUILD           |   86 ++++++++++++++++++++++++++-------------------------
 filesystem.install |   22 ++++++-------
 2 files changed, 55 insertions(+), 53 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2012-02-17 12:10:58 UTC (rev 150404)
+++ PKGBUILD	2012-02-17 12:14:27 UTC (rev 150405)
@@ -2,8 +2,8 @@
 # Maintainer: Tom Gundersen <teg at jklm.no>
 
 pkgname=filesystem
-pkgver=2011.12
-pkgrel=2
+pkgver=2012.2
+pkgrel=1
 pkgdesc='Base filesystem'
 arch=('any')
 license=('GPL')
@@ -17,70 +17,55 @@
 source=('group' 'issue' 'nsswitch.conf' 'securetty' 'host.conf' 'ld.so.conf'
         'passwd' 'shadow' 'fstab' 'crypttab' 'hosts' 'motd' 'resolv.conf' 'shells'
         'gshadow' 'profile' 'modprobe.d.usb-load-ehci-first')
-md5sums=('772fe869b921698cc3e6fde73c4ac85a'
-         '0132e8892ee2d0107fd8eb131c01a228'
-         '13753e4e0964f3652b0cc60a28528bdf'
-         '4c4540eeb748bf1f71d631b8c1dcf0b3'
-         'f28150d4c0b22a017be51b9f7f9977ed'
-         '6e488ffecc8ba142c0cf7e2d7aeb832e'
-         '8a9042a2cedf6b6b47eb8973f14289cb'
-         'b8355d9d2782f424f4cedcf682651be0'
-         'ca716f853860199c1286e7939b2f2666'
-         'e5d8323a4dbee7a6d0d2a19cbf4b819f'
-         '7bc65f234dfb6abf24e7c3b03e86f4ff'
-         'd41d8cd98f00b204e9800998ecf8427e'
-         '6f48288b6fcaf0065fcb7b0e525413e0'
-         '22518e922891f9359f971f4f5b4e793c'
-         'd2dc4e39dbdea75b107f91789e3274ab'
-         'f3b6ae7db8adffaaa4bffc6099dcbd50'
-         '8098ffd9fbf890468d3198277596b85a')
 
 package() {
-	cd ${srcdir}
+	cd ${pkgdir}
 
 	#
 	# setup root filesystem
 	#
 	for d in bin boot dev etc home lib/modules media mnt sbin usr var opt srv/http sys run; do
-		install -d -m755 ${pkgdir}/${d}
+		install -d -m755 ${d}
 	done
-	install -d -m555 ${pkgdir}/proc
-	install -d -m0750 ${pkgdir}/root
-	install -d -m1777 ${pkgdir}/tmp
+	install -d -m555 proc
+	install -d -m0750 root
+	install -d -m1777 tmp
 	# vsftpd won't run with write perms on /srv/ftp
-	install -d -m555 -g ftp ${pkgdir}/srv/ftp
+	install -d -m555 -g ftp srv/ftp
 
 	# setup /etc
-	install -d ${pkgdir}/etc/{ld.so.conf.d,skel,profile.d}
+	install -d etc/{ld.so.conf.d,skel,profile.d}
 	for f in fstab group host.conf hosts issue ld.so.conf motd nsswitch.conf passwd resolv.conf securetty shells profile; do
-		install -m644 ${srcdir}/${f} ${pkgdir}/etc/
+		install -m644 ${srcdir}/${f} etc/
 	done
-	ln -s /proc/self/mounts ${pkgdir}/etc/mtab
+	ln -s ../proc/self/mounts etc/mtab
 	for f in gshadow shadow crypttab; do
-		install -m600 ${srcdir}/${f} ${pkgdir}/etc/
+		install -m600 ${srcdir}/${f} etc/
 	done
-	touch ${pkgdir}/etc/arch-release
-	install -D -m644 ${srcdir}/modprobe.d.usb-load-ehci-first ${pkgdir}/lib/modprobe.d/usb-load-ehci-first.conf
+	touch etc/arch-release
+	install -D -m644 ${srcdir}/modprobe.d.usb-load-ehci-first lib/modprobe.d/usb-load-ehci-first.conf
 
 	# setup /var
-	for d in cache/man local opt log/old lib/misc empty; do
-		install -d -m755 ${pkgdir}/var/${d}
+	for d in cache/man local opt log/old lib/misc empty run; do
+		install -d -m755 var/${d}
 	done
-	install -d -m1777 ${pkgdir}/var/{tmp,spool/mail}
+	install -d -m1777 var/{tmp,spool/mail,lock}
 	# allow setgid games to write scores
-	install -d -m775 -g games ${pkgdir}/var/games
-	ln -s /var/spool/mail ${pkgdir}/var/mail
-	ln -s /run ${pkgdir}/var/run
-	ln -s /run/lock ${pkgdir}/var/lock
+	install -d -m775 -g games var/games
+	ln -s spool/mail var/mail
+	# not ready yet, needs possible change in pacman or other magic
+	# is fixed by initscripts on next boot
+#	ln -s ../run var/run
+#	ln -s ../run/lock var/lock
 
 	#
 	# setup /usr hierarchy
 	#
 	for d in bin include lib sbin share/misc src; do
-		install -d -m755 ${pkgdir}/usr/${d}
+		install -d -m755 usr/${d}
 	done
 	for d in $(seq 8); do
-		install -d -m755 ${pkgdir}/usr/share/man/man${d}
+		install -d -m755 usr/share/man/man${d}
 	done
 
 
@@ -88,7 +73,24 @@
 	# setup /usr/local hierarchy
 	#
 	for d in bin etc games include lib man sbin share src; do
-		install -d -m755 ${pkgdir}/usr/local/${d}
+		install -d -m755 usr/local/${d}
 	done
-	ln -s ../man ${pkgdir}/usr/local/share/man
+	ln -s ../man usr/local/share/man
 }
+md5sums=('772fe869b921698cc3e6fde73c4ac85a'
+         '7813c481156f6b280a3ba91fc6236368'
+         '13753e4e0964f3652b0cc60a28528bdf'
+         '4c4540eeb748bf1f71d631b8c1dcf0b3'
+         'f28150d4c0b22a017be51b9f7f9977ed'
+         '6e488ffecc8ba142c0cf7e2d7aeb832e'
+         '8a9042a2cedf6b6b47eb8973f14289cb'
+         'b8355d9d2782f424f4cedcf682651be0'
+         'ca716f853860199c1286e7939b2f2666'
+         'e5d8323a4dbee7a6d0d2a19cbf4b819f'
+         '7bc65f234dfb6abf24e7c3b03e86f4ff'
+         'd41d8cd98f00b204e9800998ecf8427e'
+         '6f48288b6fcaf0065fcb7b0e525413e0'
+         '22518e922891f9359f971f4f5b4e793c'
+         'd2dc4e39dbdea75b107f91789e3274ab'
+         'f3b6ae7db8adffaaa4bffc6099dcbd50'
+         'a8a962370cd0128465d514e6a1f74130')

Modified: filesystem.install
===================================================================
--- filesystem.install	2012-02-17 12:10:58 UTC (rev 150404)
+++ filesystem.install	2012-02-17 12:14:27 UTC (rev 150405)
@@ -5,20 +5,20 @@
 	# workaround for bug #7194
 	# readded due to bug #9465
 	# please do not remove!
-	bin/chmod 1777 var/spool/mail tmp var/tmp var/lock
+	chmod 1777 var/spool/mail tmp var/tmp var/lock
 }
 
 # args: <group> [options]
 _addgroup() {
-	if ! bin/grep -q "^$1:" etc/group; then
-		usr/sbin/groupadd ${@} >/dev/null
+	if ! grep -q "^$1:" etc/group; then
+		groupadd ${@} >/dev/null
 	fi
 }
 
 # args: <group> [options]
 _adduser() {
-	if ! bin/grep -q "^$1:" etc/passwd; then
-		usr/sbin/useradd ${@} >/dev/null
+	if ! grep -q "^$1:" etc/passwd; then
+		useradd ${@} >/dev/null
 	fi
 }
 
@@ -42,18 +42,18 @@
 	_addgroup rfkill  -g 24
 
 	# sync gshadow to group (fixes FS#19869
-	if ! bin/grep -q '^rfkill:' etc/gshadow; then
-		usr/sbin/grpconv >/dev/null
+	if ! grep -q '^rfkill:' etc/gshadow; then
+		grpconv >/dev/null
 	fi
 
-	if ! bin/grep -q '^include /etc/ld.so.conf.d/\*.conf$' etc/ld.so.conf; then
-		bin/echo 'include /etc/ld.so.conf.d/*.conf' >> etc/ld.so.conf
+	if ! grep -q '^include /etc/ld.so.conf.d/\*.conf$' etc/ld.so.conf; then
+		echo 'include /etc/ld.so.conf.d/*.conf' >> etc/ld.so.conf
 	fi
 
 	# set "Last password change" > 0; otherwise su $user wont work
 	for user in bin daemon mail ftp http nobody; do
-		if LANG=C usr/bin/chage -l ${user} | bin/grep -q 'password must be changed'; then
-			usr/bin/chage -d 14871 ${user}
+		if LANG=C chage -l ${user} | grep -q 'password must be changed'; then
+			chage -d 14871 ${user}
 		fi
 	done
 }




More information about the arch-commits mailing list